XCOLMIX(1)

NAME
xcolmix - an RGB colour mixer

SYNOPSIS
xcolmix [-display host:dpy] [-name appname] [-visual class] [-depth d] [-private] [-shared] [-stdcmap] [-debug d] [-sync] rgb-database-file

The rgb-database-file is the file which holds the X-windows colour definitions, when absent: /etc/X11/rgb.txt is used.

DESCRIPTION
This manual page documents briefly the xcolmix, command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

xcolmix is a colour mixer that enables you to mix your own colours in order to determine three values (the R/G/B code, or red-green-blue mix) of a colour. You can use those colours to, e.g., define the foreground or background of X applications which support it. Furthermore, xcolmix lets you retrieve RGB values from the X system's database of `predefined' colours.

xcolmix is non longer actively maintained upstream. If you would like to take it over, talk to the author: Karel Kubat <karel@icce.rug.nl>.

OPTIONS
xcolmix is built with the XForms Graphical User Interface Toolkit for X, and hence supports a number of flags which are interpreted by XForms. The flags must be stated before any file arguments, and are:

-display host:dpy
    defines the X display.

-name appname
    defines the application name (default is xcolmix).

-visual class
    TrueColor, PseudoColor etc...

-depth d
    visual depth in bits

-private
    forces a private colourmap.

-shared
    forces a shared colourmap.

-stdcmap
    forces a standard colourmap.

-debug l
    prints debugging information, l is the level.

-sync
    forces synchronous mode.

USING XCOLMIX
Xcolmix lets you define a separate background and a foreground colour for a part of the mixer window (the logo). Use this logo to, e.g., compare whether a particular text colour looks good on a particular background.

Use the `foreground / background' buttons to select between the foreground or the background. Then, use the three silders labelled `red', `green' and `blue' to change the colour.

The button `lookup' starts a second window, with a browser showing the system colour database. The default database name is /etc/X11/rgb.txt, though you can overrule this filename with a file argument in the command that starts up xcolmix.

AUTHOR
Karel Kubat <karel@icce.rug.nl>

This manual page was written by Peter S Galbraith <psg@debian.org>, for the Debian GNU/Linux system (but may be used by others).